about summary refs log tree commit diff
path: root/third_party/git/t/t0029-core-unsetenvvars.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/t/t0029-core-unsetenvvars.sh')
-rwxr-xr-xthird_party/git/t/t0029-core-unsetenvvars.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/third_party/git/t/t0029-core-unsetenvvars.sh b/third_party/git/t/t0029-core-unsetenvvars.sh
new file mode 100755
index 0000000000..24ce46a6ea
--- /dev/null
+++ b/third_party/git/t/t0029-core-unsetenvvars.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+test_description='test the Windows-only core.unsetenvvars setting'
+
+. ./test-lib.sh
+
+if ! test_have_prereq MINGW
+then
+	skip_all='skipping Windows-specific tests'
+	test_done
+fi
+
+test_expect_success 'setup' '
+	mkdir -p "$TRASH_DIRECTORY/.git/hooks" &&
+	write_script "$TRASH_DIRECTORY/.git/hooks/pre-commit" <<-\EOF
+	echo $HOBBES >&2
+	EOF
+'
+
+test_expect_success 'core.unsetenvvars works' '
+	HOBBES=Calvin &&
+	export HOBBES &&
+	git commit --allow-empty -m with 2>err &&
+	grep Calvin err &&
+	git -c core.unsetenvvars=FINDUS,HOBBES,CALVIN \
+		commit --allow-empty -m without 2>err &&
+	! grep Calvin err
+'
+
+test_done